---
title: "Mark doc group as favorite"
url: "https://docs.signnow.com/docs/favorites/operations/post-v2-document-groups-document_group_unique_id-favorites"
type: "endpoint"
section: "favorites"
slug: "favorites/operations/post-v2-document-groups-document_group_unique_id-favorites"
method: "POST"
path: "/v2/document-groups/{document_group_id}/favorites"
operation_id: "post-v2-document-groups-document_group_unique_id-favorites"
authorization: "bearer"
---

# Mark doc group as favorite

`POST /v2/document-groups/{document_group_id}/favorites`

The endpoint is used to add the document group to favorites.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | The ID of the document group. |

## Responses

### 201

Valid document group unique id. 

### 400

* Invalid request with {document_group_unique_id} where user is not owner of document group (The user did not create the Document group)
* Request with Incorrect or missing token
* Invalid request with {document_group_unique_id} when DG is placed not in the Documents folders(Archive, Shared or Trash)

**Example** (`Request with Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Invalid request with {document_group_unique_id} where user is not owner of document group `)

```json
{
  "errors": [
    {
      "code": 13044005,
      "message": "The user does not have access to the document group."
    }
  ]
}
```

**Example** (`Invalid request with {document_group_unique_id} when DG is placed not in the Documents folders(Archive, Shared or Trash)`)

```json
{
  "errors": [
    {
      "code": 13044006,
      "message": "The document group must be in the Documents folder or its sub-folder."
    }
  ]
}
```

### 403

Invalid request with {document_group_unique_id} where user does not have access to the document group

**Example** (`Invalid request with {document_group_unique_id} where user does not have access to the document group`)

```json
{
  "errors": [
    {
      "code": 13044007,
      "message": "The user does not have permission to the document group."
    }
  ]
}
```

### 404

Invalid request with non-existent document group unique id.

**Example** (`Invalid request with non-existent document group unique id.`)

```json
{
  "errors": [
    {
      "code": 13009004,
      "message": "Document group `79e2fb24c48449c3a09d4a433053051eebc2182d` not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/favorites" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/favorites/operations/post-v2-document-groups-document_group_unique_id-favorites*
